using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{

    public class repositorioAuditor
    {
        public IList<entidadeAuditor> Select(entidadeAuditor objAuditor)
        {
            dalAuditor dalAuditor = null;

            var lstAlimentador = new List<entidadeAuditor>();
            DataTable dt = null;

            try
            {
                dalAuditor = new dalAuditor();
                dt = dalAuditor.Select(objAuditor);

                foreach (DataRow dr in dt.Rows)
                {
                    objAuditor = new entidadeAuditor();

                    if (!Convert.IsDBNull(dr["NOMEMAQUINA"]))
                        objAuditor.NOMEMAQUINA = dr["NOMEMAQUINA"].ToString();
						
				    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objAuditor.DESCRICAO = dr["DESCRICAO"].ToString();
						
                    if (!Convert.IsDBNull(dr["COD_USUARIO"]))
                        objAuditor.COD_USUARIO = Convert.ToInt32(dr["COD_USUARIO"]);

				    if (!Convert.IsDBNull(dr["LOGIN_USUARIO"]))
                        objAuditor.LOGIN_USUARIO = dr["LOGIN_USUARIO"].ToString();

                    lstAlimentador.Add(objAuditor);
                }
                return lstAlimentador;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Insert(entidadeAuditor objAuditor)
        {
            dalAuditor dalAuditor = null;

            try
            {
                dalAuditor = new dalAuditor();

                dalAuditor.Insert(objAuditor);
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
